package com.seatel.mobilehall.ui.profile.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.login.model.UploadImageResponse
import java.io.File

interface UploadImageInteractor {

    interface View {

        fun onUploadFailed(error: VolleyError)
        fun onUpdateSucceed()
        fun onUploadSucceed(data: UploadImageResponse)
    }

    interface Presenter {
        fun onUpdate(phoneNum: String, fileName: String)
        fun onUpload(file: File)
    }
}